<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

namespace App\Http\ApiV1\OpenApiGenerated\Enums;

class MailTypeEnum
{
    public const ORDER_PAID = 'order-paid';
    public const ORDER_CANCELLED = 'order-cancelled';
    public const ORDER_DELIVERED = 'order-delivered';
    public const ORDER_RETURNED = 'order-returned';
    public const MANAGER_ORDER_PAID = 'manager-order-paid';
    public const MANAGER_ORDER_CANCELED = 'manager-order-cancelled';
    public const MANAGER_ORDER_DELIVERED = 'manager-order-delivered';
    public const MANAGER_ORDER_RETURNED = 'manager-order-returned';

    /**
     * @return string[]
     */
    public static function cases(): array
    {
        return [
            self::ORDER_PAID,
            self::ORDER_CANCELLED,
            self::ORDER_DELIVERED,
            self::ORDER_RETURNED,
            self::MANAGER_ORDER_PAID,
            self::MANAGER_ORDER_CANCELED,
            self::MANAGER_ORDER_DELIVERED,
            self::MANAGER_ORDER_RETURNED,
        ];
    }
}
